
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>listview-列出 Sqlite 中的内容 / iVAN</title>

    <meta name="description" content="listview-列出 Sqlite 中的内容 问题描述 列出 Sqlite 中的内容 我使用如下的代码想把一些列中所有的 items 传递到 arrayadapter.有什么好方法能实现? private void TestListAll(){ //Displays the whole list. cursor = db.rawQuery(&quot;SELECT _id, firstName, lastName, title FROM employee WHERE firstName || ' ' || lastName LIKE ?&q ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">listview-列出 Sqlite 中的内容</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>列出 Sqlite 中的内容
        </dt>
<dd>
          <br />我使用如下的代码想把一些列中所有的 items 传递到 arrayadapter。有什么好方法能实现？</p>
<pre><code>private void TestListAll(){
        //Displays the whole list.
        cursor = db.rawQuery("SELECT _id, firstName, lastName, title FROM employee WHERE firstName || &#039; &#039; || lastName LIKE ?",
                  new String[]{"%" + "" + "%"});
        adapter = new SimpleCursorAdapter(
                this,
                R.layout.emp_list_item,
                cursor,
                new String[] {"firstName", "lastName", "title"},
                new int[] {R.id.firstName, R.id.lastName, R.id.title});
        setListAdapter(adapter);
    }
</code></pre>
</dd>
</dl>
<h1>解决方案</h1>
<p>在我的应用程序中我使用：</p>
<pre><code> public ArrayList&lt;HashMap&lt;String, ?&gt;&gt; selectLastPlayed() {
    ArrayList&lt;HashMap&lt;String, ?&gt;&gt; list = new ArrayList&lt;HashMap&lt;String, ?&gt;&gt;();
    Cursor cursor = this.db.query("employee Order BY ID DESC",
            new String[] { "*" }, null, null, null, null, null);
    if (cursor.moveToFirst()) {
        do {
            HashMap&lt;String, Object&gt; temp = new HashMap&lt;String, Object&gt;();
            temp.put("Icon", cursor.getString(1));
            temp.put("Title", cursor.getString(2));
            list.add(temp);
        } while (cursor.moveToNext());
    }
    if (cursor != null &amp;&amp; !cursor.isClosed()) {
        cursor.close();
    }
    return list;
}
</code></pre>
<p>然后，你可以把 arraylist 放入 adapter 中：</p>
<pre><code>SimpleAdapter adapter = new MySimpleAdapter(this, selectLastSearch(), R.layout.custom_row_view, new String[] { "Icon", "Icon" }, new int[] { R.id.textView1123, R.id.imageView12 });
</code></pre>
<p>adapter：</p>
<pre><code> public class MySimpleAdapter extends SimpleAdapter {
    Context localcontext = null;
    public MySimpleAdapter(Context context,List&lt;? extends Map&lt;String, ?&gt;&gt; data, int resource, String[] from, int[] to) {
        super(context, data, resource, from, to);
        localcontext = context;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View view = super.getView(position, convertView, parent);
        return view;
    }
}
</code></pre>
<p>解决方案二：<br />
    <br />在表格中不需要使用选择参数</p>
<pre><code>public Cursor getAllItems() {
    return this.sqliteDBInstance.query(EMPLOYEE_TABLE, null, null, null, null, null, null);
}
</code></pre>
<p>然后在 activity 中，当在 getAllItems Cursor 方法中选择ID时，显示 firstname, lastname 和 title。</p>
<pre><code>Private Cursor cursor;
...
cursor = db.getAllItems();
    startManagingCursor(cursor);
ListAdapter adapter = new SimpleCursorAdapter(MyActivity.this,
            R.layout.emp_list_item, cursor, new String[] { "firstName", "lastName", "title" }, new int[] { R.id.firstName, R.id.lastName, R.id.title });
setAdapter(adapter);
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 15:45:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/sqlite/" title="sqlite">sqlite</a>, <a href="https://www.iamivan.net/tag/listview/" title="listview">listview</a>, <a href="https://www.iamivan.net/tag/arrayadapter/" title="arrayadapter">arrayadapter</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>listview-列出 Sqlite 中的内容的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7jq0z.html" rel="bookmark">ls命令具有一个-r选项，可以递归的列出子目录中的内容。请编写一个具有同样功能的程序。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 #include &lt;unistd.h&gt; 2 #include &lt;stdio.h&gt; 3 #include &lt;stdlib.h&gt; 4 #include &lt;dirent.h&gt; 5 #include &lt;string.h&gt; 6 #include &lt;sys/stat.h&gt; 7 /** 8 * 将数据的目录和深度一起传进来 9 */ 10 void printfdir(char *dir, int depth) { 11 12 DIR * dp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6OAEz.html" rel="bookmark">如何更改其它程序ListView控件中某个Item的内容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:程序说明 这次我将介绍如何更改其他程序ListView控件中某个Item的内容,关于类似的拙文我已经写了两篇,这是第三篇,本篇和第一篇&lt;如何向其他程序的 ListView 控件发送 LVM_GETITEMTEXT 消息&gt;类似,区别在于: 发送的消息不同:前者是读取pszText的内容--发送LVM_GETITEMTEXT:这次是设置pszText,应该发送LVM_SETITEMTEXT: 字符串缓冲区的作用不同:前者pItem用来接收ITEMTEXT,我们可以通过ReadProcessMe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW1w0nz.html" rel="bookmark">将ListView中的内容导出到Word和Excel&lpar;新&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经常看到有网友发帖子询问如何将ListView中的内容导出到Excel或Word文档中,其实在BCB中用OLE技术来操作,并不复杂,大概是有的人懒的写吧,于是ccrun(老妖)花了点时间写了以下两个函数,实现了将本程序中ListView中内容导出到Excel文档和Word文档.看在写代码很辛苦的份上,请在转载时留下出处和原作者信息.Thank了.:D 如果您有好的想法,欢迎来信讨论: info@ccrun.com2005.10.13 v0.2+ 导出表格增加了标题一栏2005.10.12 v0.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQo6Ep.html" rel="bookmark">listview-如何把Listview中的内容发送到另一个Activity中？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何把Listview中的内容发送到另一个Activity中? 在一个 RelativeLayout 有两个 TextViews ,布局像一个按钮.用户点击&quot;button&quot; 时,我发送一个TextView到一个resulting TextView,把第二个TextView 放到一个list中.这些都是在相同的activity中. 用户持续点击 &quot;button&quot;时,就会用很多items填充ListView. 我的问题是如何发送填充到 resulting Te			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwOyop.html" rel="bookmark">a&period;&period;&period;-怎么用baseadapter将sqlite中的数据库适配到一个fragment里的listview&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎么用baseadapter将sqlite中的数据库适配到一个fragment里的listview? 想用baseadapter添加listview中图片资源,同时通过baseadapter为listview中按钮设置监听事件,有那位好心的大侠帮帮忙! 解决方案 重写一个适配器,把数据库的数据遍历出来 存在一个集合里面,再setAdapter 就行了 解决方案二: 你自少要说下数据库数据是什么样的 你要的adapter需要那些参数 解决方案三: 你自少要说下数据库数据是什么样的 你要的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0RQ6mz.html" rel="bookmark">能不能在listview控件的指定列中添加内容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 最近在做一个进程管理器,但是只能在前两列中添加内容,无法做到多列显示,也无法做到内容与标题对应.所以请各位强人帮忙!能不能在listview指定列中添加相应内容.在这里先谢谢各位了!!! 解决方案 解决方案二:这样不就给四列添加了内容了吗?哪个列不要内容,那个位置就留空,填null吧.listView1.Items.Add(newListViewItem(newstring[]{&quot;1&quot;,&quot;2&quot;,&quot;3&quot;,&quot;4&quot;}));			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZZXWz.html" rel="bookmark">android-点击listview中的item跳转并获取item中的内容出现的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 点击listview中的item跳转并获取item中的内容出现的问题 一用settext()里面写上title就出错了 打印出来的title desc确实传递到另一个activity了 解决方案 文本数据传递到第二个Activity后,这句话报了空针,那就说明textView为null.你debug一下,看看是否是这个控件没有被实例化;或者你实例化错了控件(同样的id,导入的别的Activity下的) 解决方案二: 明确告诉你空指针了,你调试看看是哪个对象,然后检查是不是key写错了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEKKA9p.html" rel="bookmark">listview-有关Listview中item内容问题？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 有关Listview中item内容问题? 我的listview有100个条目,每个条目有2个textview,第一个textview有100个数据选择,第二个只有6个选择,请问怎么把第二组数据循环添加到Listview中?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAlWEAb.html" rel="bookmark">edittext &plus; listview 实现搜索listview中的内容方法&lpar;推荐&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要原理:是在主界面有两个空间,一个是EditText,一个是ListView,ListView是放在EditText下面的,然后自定义建立一个adapter适配器, 这个适配器要继承Filterable这个接口,并实现这个接口的两个方法,一个是过滤方法,一个是过滤后的方法,一般我们是在过滤方法里面实现过滤, 在过滤后的方法里面调用notifyDataSetChanged();也就是使适配器更新数据,这里还有用到一个pinyin4j-2.5.0.jar的架包,这个主要是汉字转拼 音的功能 Mai			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9JPvp.html" rel="bookmark" class="title">ASP&colon;用Asp编程实现QQ的在线情况查询</a>
					<div>
						&lt;script language=&quot;JavaScript&quot;&gt;  &lt;!--  function getFaceImg(QQcode)  {  var Re=new  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5qVap.html" rel="bookmark" class="title">冒泡排序算法&colon;冒泡排序算法的PHP实现及源码</a>
					<div>
						基本概念:冒泡排序(BubbleSort)的基本概念是:依次比较相邻的两个数,将小数放在前面,大数放在后面.即在第一趟:首先比较第1个和第2个数,将小数放前,大数放后.然后比较第2个数和第3个数,将小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPJ0Zb.html" rel="bookmark" class="title">一个兼容IE、Firefox和Opera浏览器的英文日历脚本</a>
					<div>
						脚本|浏览器|日历 &lt;html&gt;&lt;head&gt;      &lt;SCRIPT language=&quot;javascript&quot;&gt;      &lt;!--  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKggEb.html" rel="bookmark" class="title">在Visual J&plus;&plus;中编写ASP COM组件&lpar;转&rpar;</a>
					<div>
						visual Java是一种以网络为中心的编程语言,许多只使用ASP脚本难以完成的任务可以用Java轻松地实现.同时,扩展ASP应用最好的方法莫过于加入COM组件.那么,可以利用Java为ASP开发组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm77yab.html" rel="bookmark" class="title">使用ObjectDataSource控件在ASP&period;NET中实现Ajax真分页</a>
					<div>
						ASP.NET 3.5中新增加的ListView控件是一个用于页面数据绑定和界面布局的非常棒的控件,它在 ASP.NET 2.0 GridView的基础上做了很多改进,用户在使用时可以控制的元素更多, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOj3LM.html" rel="bookmark" class="title">对称加密&lpar;2&rpar; 对称加密算法</a>
					<div>
						经典的对称加密算法是DES算法,后来又衍生出3DES.TripleDES等增强型的DES算法.此外,.NET还提供了RC2.Rijndael等对称加密算法.下面分别详细介绍. DES加密算法 对称加密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRoNnz.html" rel="bookmark" class="title">Win7系统电脑安装网卡之后就无法发声怎么解决？</a>
					<div>
						Win7系统电脑安装网卡之后就无法发声怎么解决?   首先咱们先来分析一下原因,一般情况下,若是网卡的重新安装导致声卡出现问题,那只能是一个原因引起的,那便是网卡与声卡之间不兼容,存在一定的冲突,而具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPeNQM.html" rel="bookmark" class="title">ppt演示怎样设置边讲边画</a>
					<div>
						  ppt演示设置边讲边画的方法: 1.首先,打开一个PPT文件,这里我使用的是WPS2013个人版,其他的版本也会适用的.如图1所示为打开播放的PPT文件. 主题设置&quot;&gt; 2.在幻灯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEo57b.html" rel="bookmark" class="title">魅族路由器有哪些上网方式</a>
					<div>
						  目前魅族路由为大家准备了四种最常用的上网方式:自动上网方式(DHCP).拨号上网方式(PPPoE).手动上网方式(静态IP),以及无线中继方式. 有两种设置途径: 1. 通过手机客户端-魅族路由器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYejvb.html" rel="bookmark" class="title">Win7怎么看电脑是32位还是64位</a>
					<div>
						方法一 1.点击&quot;开始&quot;按钮,就是一般我们关机的时候.会首先想到去点击的那个按钮;看到&quot;计算机&quot;,将鼠标指针停留在这三个字样上,右键&quot;计算机&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8q4kb.html" rel="bookmark" class="title">N卡和A卡应该选择谁</a>
					<div>
						  虽然在游戏领域,PS4和Xbox One始终打得不可开交,但是另外别忘了PC游戏也是不可忽视的一股力量.同时对于PC游戏玩家来说,似乎无需像主机玩家那样在PS4和Xbox One之间究竟应该如何选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWxdyb.html" rel="bookmark" class="title">获取参数-C&num;请求和获取网页内容</a>
					<div>
						问题描述 C#请求和获取网页内容 C#初学者,需要用C#在网页上发送一个请求,然后获得返回值,但是直接发网址会提示错误并且得不到任何请求,真心没弄懂发送请求时应该包含哪些参数,或者是不是接受的数据不对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr9oQp.html" rel="bookmark" class="title">Android 判断SIM卡属于哪个移动运营商的实现代码&lowbar;Android</a>
					<div>
						复制代码 代码如下: [java]public String getProvidersName()  {    String str = &quot;N/A&quot;;    try    {    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EGA3M.html" rel="bookmark" class="title">简单介绍PHP非阻塞模式&lowbar;php实例</a>
					<div>
						非阻塞模式是指利用socket事件的消息机制,Server端与Client端之间的通信处于异步状态. 让PHP不再阻塞当PHP作为后端处理需要完成一些长时间处理,为了快速响应页面请求,不作结果返回判断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ2aob.html" rel="bookmark" class="title">flash 动态文本的描边及阴影效果</a>
					<div>
						先们不来看显示动态文本  代码如下 复制代码 level用于显示一个游戏当中的等级: var level:Number = 0; var levelLabel:TextField = new Text ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y1OKM.html" rel="bookmark" class="title">有关使用stm32中spi3的问题</a>
					<div>
						问题描述 有关使用stm32中spi3的问题 我在使用stm32中的spi3来驱动tlc2543的时候不成功,看了好久不知道是哪里出了问题,请大神们帮忙看看 void SPI3_Init(void)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEBRAz.html" rel="bookmark" class="title">MS SQL专用管理员连接DAC</a>
					<div>
						在SQL SERVER 2005中,微软引入了一个叫做数据库专用管理员连接方式(DAC Dedicated Administrator Connection)的特性,使用这个新特性,数据库管理员可以在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjBaVp.html" rel="bookmark" class="title">C&plus;&plus; 创建桌面快捷方式 开始菜单的实现代码&lowbar;C 语言</a>
					<div>
						复制代码 代码如下: void CInstall_ProgressDlg::CreateShortCut(CString csLinkPath, CString csExePath, CString  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwePvM.html" rel="bookmark" class="title">取消了140字，Twitter还是原来的微博客吗？</a>
					<div>
						连 Twitter 都不要做微博客了. 据 Recode 报道,Twitter 正考虑将输入字符的限制从 140 放宽到 1 万.而在 Twitter 最新的测试版信息流中,他们将产品改成了头 140 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kOwlM.html" rel="bookmark" class="title">银行业务调度系统</a>
					<div>
						这篇文章会学到的相关新知识点 Executors(遗嘱执行人,executor:执行者).Runnable(可运行).if语句和switch的区别?.switch的数据类型只能是哪些?.面向对象设计的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ1Zep.html" rel="bookmark" class="title">上海地铁全线可&OpenCurlyDoubleQuote;刷&rdquo;手机进站</a>
					<div>
						本报讯 (记者 沈敏岚 通讯员 朱奕)用手机在地铁闸机口&quot;刷&quot;一下,就可以方便地进站坐地铁,方便程度跟使用公交卡一样,上海地铁全线所有车站昨天起都可使用&quot;手机钱包&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqmXDp.html" rel="bookmark" class="title">商业价值：微信朋友圈噪声多&comma;能否取消点赞？</a>
					<div>
						商业价值:无原则滥交让朋友圈噪声多,能否取消点赞?近来,关于Ello,K.O,Facebook的消息满天飞.一个无广告的社交平台,旗帜鲜明地写下了反Facebook的宣言:简单.美丽.无广告.竟像打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXDoVb.html" rel="bookmark" class="title">Linux ssh密钥自动登录  专题</a>
					<div>
						在开发中,经常需要从一台主机ssh登陆到另一台主机去,每次都需要输一次login/Password,很繁琐.使用密钥登陆就可以不用输入用户名和密码了 实现从主机A免密码登陆到主机B(即把主机A的pub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YPJ3z.html" rel="bookmark" class="title">请教类似这样的存储过程，ASP页面如何调用</a>
					<div>
						问题描述 set@sql='select*from'+@table+''print@sqlexec(@sql)请教类似这样的存储过程,ASP页面如何调用请给出详细的调用语句 解决方案 解决方案二:直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQBmKp.html" rel="bookmark" class="title">treeview节点保存问题&excl;&excl;急&excl;&excl;分不够再加&excl;&excl;</a>
					<div>
						问题描述 原帖在这里,高手们都去看看!!!谢谢了!!!http://topic.csdn.net/u/20080412/09/33f9db84-3ca0-42aa-b1a1-62b4a0f49622. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj8nWM.html" rel="bookmark" class="title">选择ERP软件时应把握好的三个方面</a>
					<div>
						功能完整的ERP软件是一个复杂.庞大的软件管理系统,它是涵盖了企业管理思想,http://www.aliyun.com/zixun/aggregation/11991.html&quot;&gt;计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw7XOM.html" rel="bookmark" class="title">以太坊钱包客户端 Parity 遭黑客攻击，价值3000万美元的以太币被盗</a>
					<div>
						本文讲的是以太坊钱包客户端 Parity 遭黑客攻击,价值3000万美元的以太币被盗,今天,推特上流传着一个VMware虚拟机逃逸漏洞的利用工具. 这个工具已经在GitHub上开源,作者是CTF/PW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8J2Zp.html" rel="bookmark" class="title">苹果收购Beats后闪电对音乐服务降价</a>
					<div>
						苹果30亿美元收购Beats电子公司,作为全球数字音乐第一巨头的苹果,其高管居然称赞对方只有一万多用户的音乐流媒体服务&quot;Beats音乐&quot;,这让业界困惑不已.不过,Beats已经决定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyqdmM.html" rel="bookmark" class="title">百度数据开放平台官方客服电话申请指南</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 百度数据开放平台官方客服电话(以下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZm0lwp.html" rel="bookmark" class="title">Docker公司宣布将重点关注容器安全</a>
					<div>
						[编者的话]本文是对11.16欧洲DockerCon大会的简短报道.重点在Docker容器安全领域的新特性,对于在生产环境中更安全使用Docker有很大的参考价值. Docker 公司在巴塞罗那举办的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
